Page MenuHomePhabricator

WikiEditor test throws "[Edit] Missing property editingSessionId"
Closed, ResolvedPublic

Description

When WikiEditor is installed, the unit tests show this exception in the console. This is because code is insufficiently separated and both providing APIs and running code intended for the EditPage, selecting elements that don't exist and ending up unconditionally emitting events on page load (regardless of wgAction).

[Edit] Missing property "editingSessionId"
(anonymous function) @ ext.eventLogging.core.js:277
(anonymous function)
mw.track
mw.eventLog.prepare @ ext.eventLogging.core.js:192
mw.eventLog.logEvent @ ext.eventLogging.core.js:258
..
(anonymous function) @ load.php?modules=schema.Edit

Event Timeline

Krinkle created this task.Mar 18 2015, 7:01 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added projects: Regression, WikiEditor.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 7:01 PM
Krinkle set Security to None.Mar 18 2015, 7:02 PM
Krinkle added subscribers: Krenair, Catrope.

Change 197810 had a related patch set uploaded (by Alex Monk):
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/197810

Aklapper triaged this task as Normal priority.Mar 19 2015, 12:24 PM

Change 197810 merged by jenkins-bot:
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/197810

Change 198103 had a related patch set uploaded (by Alex Monk):
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/198103

Change 198103 merged by jenkins-bot:
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/198103

Change 198120 had a related patch set uploaded (by Alex Monk):
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/198120

Change 198120 merged by jenkins-bot:
Only do client-side instrumentation on action=edit/action=submit

https://gerrit.wikimedia.org/r/198120

Krenair closed this task as Resolved.Mar 19 2015, 10:37 PM
Krenair claimed this task.

Should be better now.

GOIII added a subscriber: GOIII.Mar 20 2015, 11:51 AM
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:09 AM